import { zeroAddress as e } from "../../../constants/protocol.constants.mjs";
import { approveTokenToHinkal as t } from "./approveToken.mjs";
//#region libs/shared/common/src/functions/web3/functionCalls/approveTokensToHinkal.ts
var n = async (n, r, i, a, o) => {
	for (let s = 0; s < o.length; s += 1) {
		let c = o[s], l = a[s];
		c > 0n && l.erc20TokenAddress !== e && await t(n, r, i, c, l);
	}
};
//#endregion
export { n as approveTokensToHinkal };
